com.amazonaws.services.codedeploy.model

## Class ApplicationInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.ApplicationInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class ApplicationInfo
    extends Object
    implements Serializable, Cloneable

Information about an application.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ApplicationInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ApplicationInfo` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationId()` The application ID.
`String` `getApplicationName()` The application name.
`Date` `getCreateTime()` The time at which the application was created.
`Boolean` `getLinkedToGitHub()` True if the user has authenticated with GitHub for the specified application; otherwise, false.
`int` `hashCode()`
`Boolean` `isLinkedToGitHub()` True if the user has authenticated with GitHub for the specified application; otherwise, false.
`void` `setApplicationId(String applicationId)` The application ID.
`void` `setApplicationName(String applicationName)` The application name.
`void` `setCreateTime(Date createTime)` The time at which the application was created.
`void` `setLinkedToGitHub(Boolean linkedToGitHub)` True if the user has authenticated with GitHub for the specified application; otherwise, false.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ApplicationInfo` `withApplicationId(String applicationId)` The application ID.
`ApplicationInfo` `withApplicationName(String applicationName)` The application name.
`ApplicationInfo` `withCreateTime(Date createTime)` The time at which the application was created.
`ApplicationInfo` `withLinkedToGitHub(Boolean linkedToGitHub)` True if the user has authenticated with GitHub for the specified application; otherwise, false.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationInfo

    public ApplicationInfo()

### Method Detail

#### setApplicationId

    public void setApplicationId(String applicationId)

The application ID.

Parameters:
  `applicationId` - The application ID.

#### getApplicationId

    public String getApplicationId()

The application ID.

Returns:
  The application ID.

#### withApplicationId

    public ApplicationInfo withApplicationId(String applicationId)

The application ID.

Parameters:
  `applicationId` - The application ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setApplicationName

    public void setApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.

#### getApplicationName

    public String getApplicationName()

The application name.

Returns:
  The application name.

#### withApplicationName

    public ApplicationInfo withApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreateTime

    public void setCreateTime(Date createTime)

The time at which the application was created.

Parameters:
  `createTime` - The time at which the application was created.

#### getCreateTime

    public Date getCreateTime()

The time at which the application was created.

Returns:
  The time at which the application was created.

#### withCreateTime

    public ApplicationInfo withCreateTime(Date createTime)

The time at which the application was created.

Parameters:
  `createTime` - The time at which the application was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLinkedToGitHub

    public void setLinkedToGitHub(Boolean linkedToGitHub)

True if the user has authenticated with GitHub for the specified application; otherwise, false.

Parameters:
  `linkedToGitHub` - True if the user has authenticated with GitHub for the specified application; otherwise, false.

#### getLinkedToGitHub

    public Boolean getLinkedToGitHub()

True if the user has authenticated with GitHub for the specified application; otherwise, false.

Returns:
  True if the user has authenticated with GitHub for the specified application; otherwise, false.

#### withLinkedToGitHub

    public ApplicationInfo withLinkedToGitHub(Boolean linkedToGitHub)

True if the user has authenticated with GitHub for the specified application; otherwise, false.

Parameters:
  `linkedToGitHub` - True if the user has authenticated with GitHub for the specified application; otherwise, false.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isLinkedToGitHub

    public Boolean isLinkedToGitHub()

True if the user has authenticated with GitHub for the specified application; otherwise, false.

Returns:
  True if the user has authenticated with GitHub for the specified application; otherwise, false.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ApplicationInfo clone()

Overrides:
  `clone` in class `Object`